Package org.jboss.resteasy.plugins.server.vertx

## Class VertxResteasyDeployment

- java.lang.Object
- - org.jboss.resteasy.core.ResteasyDeploymentImpl
  - - org.jboss.resteasy.plugins.server.vertx.VertxResteasyDeployment

- All Implemented Interfaces:
    `ResteasyDeployment`

      public class VertxResteasyDeployment
      extends ResteasyDeploymentImpl

  Author:
    Julien Viet

- - ### Field Summary

    - ### Fields inherited from class org.jboss.resteasy.core.ResteasyDeploymentImpl

      `actualProviderClasses, actualResourceClasses, addCharset, application, applicationClass, asyncJobServiceBasePath, asyncJobServiceEnabled, asyncJobServiceMaxJobResults, asyncJobServiceMaxWait, asyncJobServiceThreadPoolSize, constructedDefaultContextObjects, defaultContextObjects, deploymentSensitiveFactoryEnabled, dispatcher, injectorFactory, injectorFactoryClass, jndiComponentResources, jndiResources, languageExtensions, mediaTypeMappings, paramMapping, properties, providerClasses, providerFactory, providers, registerBuiltin, registry, resourceClasses, resourceFactories, resources, scannedJndiComponentResources, scannedProviderClasses, scannedResourceClasses, scannedResourceClassesWithBuilder, securityEnabled, statisticsEnabled, threadLocalProviderFactory, unwrappedExceptions, useContainerFormParams, widerRequestMatching`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `VertxResteasyDeployment()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `VertxRegistry` | `getRegistry()` |
    `void` | `setRegistry​(Registry registry)` |

    - ### Methods inherited from class org.jboss.resteasy.core.ResteasyDeploymentImpl

      `createApplication, getActualProviderClasses, getActualResourceClasses, getApplication, getApplicationClass, getAsyncJobServiceBasePath, getAsyncJobServiceMaxJobResults, getAsyncJobServiceMaxWait, getAsyncJobServiceThreadPoolSize, getConstructedDefaultContextObjects, getDefaultContextObjects, getDispatcher, getInjectorFactory, getInjectorFactoryClass, getJndiComponentResources, getJndiResources, getLanguageExtensions, getMediaTypeMappings, getProperty, getProviderClasses, getProviderFactory, getProviders, getResourceClasses, getResourceFactories, getResources, getScannedJndiComponentResources, getScannedProviderClasses, getScannedResourceClasses, getScannedResourceClassesWithBuilder, getUnwrappedExceptions, initializeDispatcher, initializeFactory, initializeObjects, isAddCharset, isAsyncJobServiceEnabled, isDeploymentSensitiveFactoryEnabled, isRegisterBuiltin, isSecurityEnabled, isUseContainerFormParams, isWiderRequestMatching, merge, pushContext, registerApplication, registerMappers, registerResources, registration, setActualProviderClasses, setActualResourceClasses, setAddCharset, setApplication, setApplicationClass, setAsyncJobServiceBasePath, setAsyncJobServiceEnabled, setAsyncJobServiceMaxJobResults, setAsyncJobServiceMaxWait, setAsyncJobServiceThreadPoolSize, setConstructedDefaultContextObjects, setDefaultContextObjects, setDeploymentSensitiveFactoryEnabled, setDispatcher, setInjectorFactory, setInjectorFactoryClass, setJndiComponentResources, setJndiResources, setLanguageExtensions, setMediaTypeMappings, setMediaTypeParamMapping, setProperty, setProviderClasses, setProviderFactory, setProviders, setRegisterBuiltin, setResourceClasses, setResourceFactories, setResources, setScannedJndiComponentResources, setScannedProviderClasses, setScannedResourceClasses, setScannedResourceClassesWithBuilder, setSecurityEnabled, setStatisticsEnabled, setUnwrappedExceptions, setUseContainerFormParams, setWiderRequestMatching, start, stop`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VertxResteasyDeployment

          public VertxResteasyDeployment()

  - ### Method Detail

    - #### getRegistry

          public VertxRegistry getRegistry()

      Specified by:
        `getRegistry` in interface `ResteasyDeployment`
      Overrides:
        `getRegistry` in class `ResteasyDeploymentImpl`

    - #### setRegistry

          public void setRegistry​(Registry registry)

      Specified by:
        `setRegistry` in interface `ResteasyDeployment`
      Overrides:
        `setRegistry` in class `ResteasyDeploymentImpl`